﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HealthMonitor.Util.Entities.HealthMonitor.Taos
{
    public class StbHmBloodPress
    {
        [JsonProperty("ts")]
        public DateTime Ts { get; set; } = default!;
        [JsonProperty("bloodpress_id")]
        public string BloodPressId { get; set; } = default!;
        [JsonProperty("message_id")]
        public string MessageId { get; set; } = default!;
        [JsonProperty("serialno")]
        public string Serialno { get; set; } = default!;
        [JsonProperty("systolic_value")]
        public int SystolicValue { get; set; }
        [JsonProperty("diastolic_value")]
        public int DiastolicValue { get; set; }
        [JsonProperty("last_update")]
        public DateTime LastUpdate { get; set; }
        [JsonProperty("create_time")]
        public DateTime CreateTime { get; set; }
        [JsonProperty("method")]
        public sbyte Method { get; set; }
        [JsonProperty("is_display")]
        public bool IsDisplay { get; set; }

        [JsonProperty("serial_tail_no")]
        public string TailNo { get; set; }=string.Empty;
    }
}
